Skip to main content
Monitoring & Collection/Profiling

GetTrend

Get performance trend data across historical baselines for a metric.

GET/api/v1/profiling/trend

Operation ID

GetTrend

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • profileType
    String

    Profile type to retrieve trend data for.

  • metric
    String

    Metric name to trend (e.g. self_pct, cumulative_pct).

  • funcName
    String

    Function name to retrieve trend data for.

  • limit
    Integer

    Maximum number of trend data points to return.

    Example: 0

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • metric
    String

    Name of the metric being trended (e.g. self_pct, cumulative_pct).

    Example: self_pct

  • profileType
    String

    Profile type the trend data was collected from.

    Example: cpu

  • funcName
    String

    Function name whose trend is being returned.

    Example: runtime.gcBgMarkWorker

  • items
    List

    Ordered list of trend data points across baselines.

    Example: (nested array)

    • baselineLabel
      String

      Label of the baseline this data point represents.

      Example: v1.2.0-release

    • createdAt
      String

      Timestamp when the baseline for this data point was created.

      Example: 2026-01-15T08:00:00Z

    • value
      Long

      Metric value measured at this baseline point.

      Example: 7.4